com.corticon.eclipse.studio.vocabulary.core

## Interface IElement

- All Superinterfaces:
    java.lang.Cloneable
  All Known Subinterfaces:
    IAssociationEnd, IAttribute, IDomain, IEntity

      public interface IElement
      extends java.lang.Cloneable

  IElement is the superinterface of all Vocabulary facade interfaces (i.e., IDomain, IEntity, IAttribute and IAssociationEnd).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `IDENTITY_STRATEGY_IDENTITY`
    `static java.lang.String` | `IDENTITY_STRATEGY_INCREMENT`
    `static java.lang.String` | `IDENTITY_STRATEGY_NATIVE`
    `static java.lang.String` | `IDENTITY_STRATEGY_SEQUENCE`
    `static java.lang.String` | `IDENTITY_STRATEGY_UUID_HEX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.corticon.rulesemf.canonicalvocabularymodel.NamedExtension` | `findExtension()` Return the Vocabulary Extension object for this facade.
    `com.corticon.rulesemf.canonicalvocabularymodel.NamedExtension` | `findExtension(org.eclipse.emf.ecore.ENamedElement aENamedElement)` Return the Vocabulary Extension object for the specified ENamedElement.
    `java.util.Iterator` | `getAllContents()` Return an iterator that will iterator over all facades (depth first) that are children of this element.
    `java.util.Iterator` | `getAllContents(java.lang.Class aClassFacade)` Return an iterator that will iterator over all facades (depth first) that are children of this element.
    `java.util.List` | `getChildren()` Return a list of all child facades contained within this one.
    `java.util.List` | `getChildren(java.lang.Class aClassFacade)` Return a list of child facades.
    `java.lang.String` | `getGUID()` Return the optional GUID for this Vocabulary element.
    `java.lang.String` | `getName()` Return the name of this Vocabulary element.
    `org.eclipse.emf.ecore.ENamedElement` | `getNamedElement()` Return the named element (EPackage, EClass, EAttribute or EReference) contained within this facade.
    `IElement` | `getParent()` Return the parent Vocabulary facade.
    `IElement` | `getParent(java.lang.Class aClassContainer)` Traverse upwards through the containment hierarchy until an instance of the specified type is found.
    `java.lang.String` | `getSource()` Return the optional source of this Vocabulary element.
    `boolean` | `hasChildren()` Return `true` if this Vocabulary element has any children.

- - ### Field Detail

    - #### IDENTITY_STRATEGY_IDENTITY

          static final java.lang.String IDENTITY_STRATEGY_IDENTITY

      See Also:
        Constant Field Values

    - #### IDENTITY_STRATEGY_INCREMENT

          static final java.lang.String IDENTITY_STRATEGY_INCREMENT

      See Also:
        Constant Field Values

    - #### IDENTITY_STRATEGY_NATIVE

          static final java.lang.String IDENTITY_STRATEGY_NATIVE

      See Also:
        Constant Field Values

    - #### IDENTITY_STRATEGY_SEQUENCE

          static final java.lang.String IDENTITY_STRATEGY_SEQUENCE

      See Also:
        Constant Field Values

    - #### IDENTITY_STRATEGY_UUID_HEX

          static final java.lang.String IDENTITY_STRATEGY_UUID_HEX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### findExtension

          com.corticon.rulesemf.canonicalvocabularymodel.NamedExtension findExtension()

      Return the Vocabulary Extension object for this facade.
      Parameters:
        `aNamedElement` - EClass, EAttribute or EReference.
      Returns:
        NamedExtension instance.

    - #### findExtension

          com.corticon.rulesemf.canonicalvocabularymodel.NamedExtension findExtension(org.eclipse.emf.ecore.ENamedElement aENamedElement)

      Return the Vocabulary Extension object for the specified ENamedElement.
      Parameters:
        `aENamedElement` - EPackage, EClass, EAttribute or EReference.
      Returns:
        NamedExtension instance.

    - #### getAllContents

          java.util.Iterator getAllContents()

      Return an iterator that will iterator over all facades (depth first) that are children of this element.
      Returns:
        Iterator that will iterate over all children (depth first).

    - #### getAllContents

          java.util.Iterator getAllContents(java.lang.Class aClassFacade)

      Return an iterator that will iterator over all facades (depth first) that are children of this element. Only facades that are instances of the specified class will be included in the results.
      Parameters:
        `aClassFacade` - Class of facade to process (e.g., IEntity).
      Returns:
        Iterator that will iterate over all children (depth first).

    - #### getName

          java.lang.String getName()

      Return the name of this Vocabulary element.
      Returns:
        Element name.

    - #### getNamedElement

          org.eclipse.emf.ecore.ENamedElement getNamedElement()

      Return the named element (EPackage, EClass, EAttribute or EReference) contained within this facade.
      Returns:
        ENamedElement instance.

    - #### getChildren

          java.util.List getChildren()

      Return a list of all child facades contained within this one.
      Returns:
        List of children of this Vocabulary element.

    - #### getChildren

          java.util.List getChildren(java.lang.Class aClassFacade)

      Return a list of child facades.
      Parameters:
        `aClassFacade` - Class of facades to return.
      Returns:
        ArrayList of children of this Vocabulary element.

    - #### getGUID

          java.lang.String getGUID()

      Return the optional GUID for this Vocabulary element.
      Returns:
        GUID or `null` if no GUID has been specified.

    - #### getParent

          IElement getParent()

      Return the parent Vocabulary facade.
      Returns:
        Parent facade of this Vocabulary element.

    - #### getParent

          IElement getParent(java.lang.Class aClassContainer)

      Traverse upwards through the containment hierarchy until an instance of the specified type is found.
      Parameters:
        `aClassContainer` - Class of container to locate.
      Returns:
        Instance of specified container class or `null` if none.

    - #### getSource

          java.lang.String getSource()

      Return the optional source of this Vocabulary element.
      Returns:
        Source or `null` if no source has been specified.

    - #### hasChildren

          boolean hasChildren()

      Return `true` if this Vocabulary element has any children.
      Parameters:
        `aClassFacade` - Class of facades to return.
      Returns:
        `true` if this Vocabulary element has any children.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.